@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;500;600;700&display=swap");

.flexRowContent {
  display: flex;
}

.flexRow--orderByAndSwitcher {
  padding-right: 1.5em;
}

.flexRowContent--savingsSummaryListDesktop {
  justify-content: flex-start;
}

.flexCol--summaryRightListDesktop {
  justify-content: space-around;
}

.flexRow--buyNowButton :global(.vtex-button) {
  background: #eef3f7;
  border-color: #eef3f7;
  color: #0f3e99;
}

.flexRow--buyNowButton:hover :global(.vtex-button) {
  background: #dbe9fd;
  border-color: #dbe9fd;
}

.flexCol--productRating {
  margin-bottom: 3rem;
}

.flexCol--summaryDetailsListMobile {
  justify-content: space-between;
}

.flexCol--summaryUpDetailsListMobile {
  margin-bottom: 0.25rem;
}

.flexRowContent--menu-link,
.flexRowContent--main-header {
  padding: 0 0.5rem;
}

@media screen and (min-width: 40em) {
  .flexRowContent--menu-link,
  .flexRowContent--main-header {
    padding: 0 1rem;
  }
}
@media screen and (min-width: 80rem) {
  .flexRowContent--menu-link,
  .flexRowContent--main-header {
    padding: 0 0.25rem;
  }
}

.flexRowContent--menu-link {
  background-color: #03044e;
  color: #fff;
}

.flexRowContent--main-header {
  background-color: #f0f0f0;
}

.flexRowContent--main-header-mobile {
  align-items: center;
  padding: 0.625rem 0.5rem;
  background-color: #f0f0f0;
}

.flexRowContent--menu-link :global(.vtex-menu-2-x-styledLink) {
  color: #ffffff;
  font-size: 14px;
}

.flexRowContent--main-header :global(.vtex-menu-2-x-styledLink) {
  color: #727273;
  font-size: 14px;
}
.flexRow--deals {
  background-color: #a7afbd;
  padding: 14px 0px;
}

.flexRow--deals .stretchChildrenWidth {
  align-items: center;
}

.flexRow--deals .flexCol {
  align-items: center;
}

.flexCol--filterCol {
  max-width: 500px;
  min-width: 230px;
}

.flexCol--productCountCol {
  align-items: flex-start;
}

.flexCol--orderByCol {
  align-items: flex-end;
}

.flexCol--orderByMobileCol {
  width: 42%;
}

.flexCol--filterMobileCol {
  width: 38%;
}

.flexRow--quickviewMainRow {
  display: flex;
  max-height: 100%;
}

.flexColChild--quickviewDetails:first-child {
  overflow-y: auto;
  height: 66% !important;
  overflow-x: hidden;
}

.flexColChild--quickviewDetails:last-child {
  height: 34% !important;
}

.flexRow--addToCartRow {
  padding-bottom: 1rem;
}

/* Header */

.flexRow {
  font-family: Nunito, sans-serif;
}

.flexCol--flexColHeader {
  background-image: linear-gradient(92deg, #8d479f, #00acd8);
}

.flexRow--rowSearch :global(.vtex-styleguide-9-x-input) {
  color: white;
}

.flexRow--rowSearch :global(.vtex-styleguide-9-x-input) ::placeholder {
  color: white;
}
.flexRowContent--loginHeader :global(.vtex-login-2-x-buttonLink) {
  display: flex;
  justify-content: center;
  padding: 0;
  background-color: #e8801d;
  height: 20px;
  width: 70px;
  border-radius: 30px;
  text-align: initial;
}

.flexRowContent--loginHeader :global(.vtex-login-2-x-label) {
  display: inline-block;
  color: white;
  font-size: 10px;
  font-family: Nunito, sans-serif;
  text-transform: none;
  padding: 0;
}

/* Drawer */

.flexRow--loginDrawer :global(.vtex-login-2-x-buttonLink) {
  width: 150px;
  background-color: #ff6e24;
  border-radius: 19px;
  align-items: center;
  font-size: 12px;
  height: 37px;
  font-weight: bold;
}

.flexRow--loginDrawer :global(.vtex-login-2-x-buttonLink) :hover {
  background: unset;
}

.flexRow--loginDrawer :global(.vtex-login-2-x-label) {
  font-size: 12px;
  color: white;
  width: 100%;
  display: block;
  margin-top: 5px;
  font-family: Nunito, sans-serif;
  font-weight: bold;
}

.flexRow--loginAccount :global(.vtex-login-2-x-label) {
  display: block;
  color: white;
  font-size: 18px;
  text-transform: none;
}

.flexRowContent--rowRichTextDrawer :global(.vtex-rich-text-0-x-container) {
  color: white;
  font-weight: bolder;
  margin-left: 36px;
  font-size: 18px;
}

.flexRowContent--loginAccount :global(.vtex-login-2-x-label) {
  text-decoration: underline;
  font-size: 14px;
  margin-bottom: 55px;
  margin-top: 10px;
  font-family: Nunito, sans-serif;
  font-weight: bold;
}

.flexRowContent--rowBestDrawer
  :global(.vtex-flex-layout-0-x-stretchChildrenWidth) {
  width: 100% !important;
}

.flexRowContent--rowBestDrawer
  :global(.vtex-rich-text-0-x-container--textButtonBest) {
  justify-content: center;
}

.flexRowContent--rowBestDrawer
  :global(.vtex-rich-text-0-x-container--textRow4) {
  justify-content: center;
}

.flexRowContent--loginAccount :global(.vtex-login-2-x-buttonLink) :hover {
  background: unset;
}

.flexRow--rowMyProfile {
  margin-top: 50px;
}

.flexRowContent--rowWhoWeAre {
  margin-top: 50px;
  padding-top: 50px;
  border-top: 1px solid white;
}

.flexRowContent--rowContact {
  margin-bottom: 50px;
}

.flexRow--loginDrawer :global(.vtex-login-2-x-container) {
  justify-content: flex-start;
  padding: 0;
  margin-left: 25px;
}

.flexRow--loginDrawer :global(.vtex-button__label) {
  padding-top: 10px;
  padding-right: 37px;
}

.flexRowContent--loginAccount :global(.vtex-login-2-x-container) {
  justify-content: flex-start;
  padding: 0;
}

.flexCol--containerButtonsCol {
  margin: 0 1rem;
}

.flexRowContent--rowBestDrawer {
  background-color: #d97c11;
  flex-wrap: wrap;
}

.flexCol--containerButtonsCol
  :global(.vtex-flex-layout-0-x-stretchChildrenWidth) {
  justify-content: center;
  width: auto !important;
}

.flexRow--loginHeader {
  padding-top: 10px;
}

.flexRowContent--rowRichTextDrawer :global(.vtex-rich-text-0-x-paragraph) {
  font-family: Nunito, sans-serif;
  font-size: 18px !important;
}

/* Footer Mobile */

.flexRowContent--rowVtexLogoMobile .stretchChildrenWidth {
  background: rgba(255, 255, 255, 0.2);
}

/* Header Desktop */

.flexRow--rowLinksDesktop :global(.vtex-rich-text-0-x-link) {
  color: #212529;
  font-family: Open Sans, -apple-system, BlinkMacSystemFont, Segoe UI,
    Helvetica Neue, Arial, sans-serif, Apple Color Emoji, Segoe UI Emoji,
    Segoe UI Symbol, Noto Color Emoji;
  text-decoration: none;
  font-size: 15px;
}

.flexRowContent--rowLinksDesktop .stretchChildrenWidth {
  width: auto !important;
  padding-left: 30px;
}

.flexRowContent--rowLinksDesktop {
  justify-content: flex-end;
}

.flexRowContent--rowLinksDesktop :global(.vtex-button) {
  background-color: #ef8216;
  border-radius: 15px;
  min-height: auto;
  height: 25px;
  padding-top: 0 !important;
}

.flexRowContent--rowLinksDesktop :global(.vtex-login-2-x-label) {
  color: white;
  text-transform: none;
}

.flexCol--colSearchHeaderDesktop :global(.vtex-input-prefix__group) {
  height: 50px;
  border-radius: 30px;
  background-color: #e8e8e8;
}

.flexRowContent--rowLogoHeaderDesktop {
  align-items: center;
}

.flexRow--rowContainerHeaderDesktop {
  width: 100%;
  max-width: 1280px;
  margin: auto;
  padding: 0 10px;
}

@media (min-width: 940px) {
  .flexRow--rowContainerHeaderDesktop {
    max-width: 960px;
  }
}

@media (min-width: 1320px) {
  .flexRow--rowContainerHeaderDesktop {
    max-width: 1280px;
  }
}

.flexRowContent--rowLogoHeaderDesktop
  :global(.vtex-flex-layout-0-x-stretchChildrenWidth) {
  width: auto !important;
}

.flexRowContent--rowLogoHeaderDesktop {
  justify-content: space-between;
}

.flexRowContent--rowImageWishlistHeaderDesktop,
.flexRowContent--rowImageBookcaseHeaderDesktop {
  justify-content: center;
}

.flexRowContent--main-header {
  background-image: linear-gradient(92deg, #8d479f, #00acd8);
  height: 48px;
}

.flexRowContent--main-header :global(.vtex-menu-2-x-menuItem):first-child {
  flex: 1;
}

.flexRowContent--main-header
  :global(.vtex-menu-2-x-menuItem):first-child
  :global(.vtex-menu-2-x-styledLink) {
  font-size: 18px;
}

.flexRowContent--main-header :global(.vtex-menu-2-x-styledLink) {
  color: white;
  font-family: Nunito, sans-serif;
  font-size: 14px;
}

.flexRowContent--main-header :global(.vtex-menu-2-x-styledLinkContainer) {
  margin: 0 !important;
}

.flexRowContent--main-header
  :global(.vtex-menu-2-x-menuItem):first-child
  :global(.vtex-menu-2-x-styledLinkContent) {
  display: block;
}

.flexRowContent--main-header
  :global(.vtex-menu-2-x-menuItem):first-child
  :global(.vtex-menu-2-x-styledLinkContent)::before {
  background-image: url("https://autibooks.vteximg.com.br/arquivos/icon-menu.png");
  background-position: 0 0;
  background-repeat: no-repeat;
  content: "";
  display: inline-block;
  height: 23px;
  margin-left: 23px;
  margin-right: 10px;
  vertical-align: middle;
  width: 23px;
}

.flexRowContent--main-header :global(.vtex-menu-2-x-menuItem) {
  padding-left: 13px;
  padding-right: 13px;
}

.flexColChild--colContainerHeaderDesktop {
  position: relative;
}

/* Home */

@media (min-width: 940px) {
  .flexRow--rowContainerHome {
    max-width: 960px;
    margin: auto;
  }
}

@media (min-width: 1320px) {
  .flexRow--rowContainerHome {
    max-width: 1280px;
  }
}

@media (min-width: 1025px) {
  .flexRowContent--rowBestSellers
    :global(.vtex-slider-layout-0-x-sliderTrack--shelf),
  .flexRowContent--rowFirstTime
    :global(.vtex-slider-layout-0-x-sliderTrack--shelf),
  .flexRowContent--rowNews :global(.vtex-slider-layout-0-x-sliderTrack--shelf) {
    width: 127% !important;
    flex-wrap: wrap;
    margin-bottom: 100px;
  }
}

@media screen and (min-width: 1025px) {
  .flexRowContent--rowBestSellers :global(.vtex-slider-layout-0-x-slide--shelf),
  .flexRowContent--rowFirstTime :global(.vtex-slider-layout-0-x-slide--shelf),
  .flexRowContent--rowNews :global(.vtex-slider-layout-0-x-slide--shelf) {
    width: 16.7% !important;
  }
}

/* Footer Desktop */

.flexRowContent--rowContentFooterDesktop :global(.vtex-rich-text-0-x-link) {
  font-size: 10px;
  text-decoration: none;
  color: white;
  font-family: Nunito, sans-serif;
}

.flexRowContent--rowContentFooterDesktop {
  width: 100%;
  max-width: 1280px;
  margin: auto;
  padding: 30px 50px 40px;
}

.flexColChild--colAutiBooksFooterDesktop,
.flexColChild--colPoliciesFooterDesktop,
.flexColChild--colFollowUsFooterDesktop {
  height: 20% !important;
}

.flexRowContent--rowImagesDowloadFooterDesktop
  :global(.vtex-flex-layout-0-x-stretchChildrenWidth) {
  width: 40% !important;
  margin-right: 3px;
}

.flexRowContent--payment-methods
  :global(.vtex-store-components-3-x-imageElement) {
  border-radius: 5px;
}

.flexRowContent--payment-methods
  :global(.vtex-store-components-3-x-imageElement) {
  width: 90%;
}

.flexCol--colFollowUsFooterDesktop {
  padding-left: 80px;
}

.flexRowContent--rowCopyrightFooterDesktop {
  background-color: hsla(0, 0%, 100%, 0.2);
}

.flexColChild--colLogoVtexFooterDesktop {
  display: flex;
  justify-content: center;
  padding-left: 90px;
}

.flexRow--rowContainerFooterDesktop
  :global(.vtex-store-components-3-x-container) {
  margin: 0;
  padding: 0;
  max-width: 100%;
}
